<?php

namespace Lc\CaracoleBundle\Repository\Merchant;

use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Repository\AbstractStore;

class MerchantStore extends AbstractStore
{
    protected MerchantRepositoryQuery $query;

    public function __construct(MerchantRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getOnline($query = null)
    {
        $query = $this->createQuery($query);
        $query->filterIsOnline();
        return $query->find();
    }

}
